<?php

/**
 *      【橙创家校通v4.0】 (C)2010-2012 Tuntron Inc.
 *      
 *    	 http://www.tuntron.com   QQ：1121251729
 *
 *      &公告管理-系统管理模块&
 */
  $Modname = '公告管理 - 系统设置';
  
  $c=_get('c','index');
  
  $M = G_class('ann');

//分页每页显示数据量
$listnum = '10';
//当前页
$pid=$_GET['p'];
if(is_numeric($pid)&&$pid>0){
	$pid=(int)$pid;
}else{
	$pid='1';
}
//链接地址
$url = SITEURL . '?mod=system&do=ann&c=index';
  
  switch ($c){
	 
	 case 'index':
	
		$arrann = $M->read_all();
		$sum = count($arrann);
		$pidf = $pid-1;
		$start = $pidf*$listnum;
		$end = $listnum;
		foreach($arrann as $key=>$value){
			$array[] = $value;
		}
		$arrann = array();
		$arrann = array_slice($array, $start, $end);
		$pageinfo = grtpageno($url, $sum, $listnum, $pid);

	 break;
	 
	 
	 
	 case 'addann':
	 
	 	$no_temp=1;
		
		$Modname = '添加公告 - '.$Modname;
		
		if($_POST){
		$post = $M->get_post($_POST);
		//if($post['groupid']==1) Note('禁止编辑系统管理员所在组！','>>点击返回<<');
		//print_r($post);
		//exit;
		
		$M-> save($post);
		
		Note('公告添加成功！','>>点击返回<<',SITEURL.'?mod=system&do=ann');
		}
		 
		require_once Template($do.'_add');
	 
	 break;
	 
	 
	 
	 case 'content':
	 
	 	$no_temp=1;
		
		$Modname = '查看公告 - '.$Modname;
		
		$id=_get('id');
		
		$content = $M->read_one($id);
		
		require_once Template($do.'_content');
	 
	 break;
	 
	 
	 case 'delann':
	 $annid = _get('id');
	 $M-> delann($annid);
	 
	 Note('公告删除成功！','>>点击返回<<',SITEURL.'?mod=system&do=ann');
	  
	 break;
	 
	 

 }

  
 
 if($no_temp<0) require_once Template($do);


?>